## Azure

<details>
<summary>What is Azure Portal?</summary><br><b>

[Microsoft Docs](https://docs.microsoft.com/en-us/learn/modules/intro-to-azure-fundamentals/what-is-microsoft-azure): "The Azure portal is a web-based, unified console that provides an alternative to command-line tools. With the Azure portal, you can manage your Azure subscription by using a graphical user interface."
</b></details>

<details>
<summary>What is Azure Marketplace?</summary><br><b>

[Microsoft Docs](https://docs.microsoft.com/en-us/learn/modules/intro-to-azure-fundamentals/what-is-microsoft-azure): "Azure marketplace helps connect users with Microsoft partners, independent software vendors, and startups that are offering their solutions and services, which are optimized to run on Azure."
</b></details>

<details>
<summary>Explain availability sets and availability zones</summary><br><b>

An availability set is a logical grouping of VMs that allows Azure to understand how your application is built to provide redundancy and availability. It is recommended that two or more VMs are created within an availability set to provide for a highly available application and to meet the 99.95% Azure SLA.
</b></details>

<details>
<summary>What is Azure Policy?</summary><br><b>
</b></details>

<details>
<summary>What is the Azure Resource Manager? Can you describe the format for ARM templates?</summary><br><b>
</b></details>

<details>
<summary>Explain Azure managed disks</summary><br><b>
</b></details>

#### Azure - Compute

<details>
<summary>What Azure compute services are you familiar with?</summary><br><b>

  * Azure Virtual Machines
  * Azure Batch
  * Azure Service Fabric
  * Azure Container Instances
  * Azure Virtual Machine Scale Set?s
</b></details>

<details>
<summary>What "Azure Virtual Machines" service is used for?</summary><br><b>

Windows or Linux virtual machines
</b></details>

<details>
<summary>What "Azure Virtual Machine Scale Sets" service is used for?</summary><br><b>

Scaling Linux or Windows virtual machines used in Azure
</b></details>

<details>
<summary>What "Azure Functions" service is used for?</summary><br><b>

Azure Functions is the serverless compute service of Azure.
</b></details>

<details>
<summary>What "Durable Azure Function" are?</summary>
<br>

[Microsoft Learn](https://docs.microsoft.com/en-us/learn/modules/intro-to-azure-fundamentals/what-is-microsoft-azure): Durable Functions is an extension of Azure Functions that lets you write stateful functions in a serverless compute environment.
</details>

<details>
<summary>What "Azure Container Instances" service is used for?</summary><br><b>

Running containerized applications (without the need to provision virtual machines).
</b></details>

<details>
<summary>What "Azure Batch" service is used for?</summary><br><b>

Running parallel and high-performance computing applications
</b></details>

<details>
<summary>What "Azure Service Fabric" service is used for?</summary><br><b>
</b></details>

<details>
<summary>What "Azure Kubernetes" service is used for?</summary><br><b>
</b></details>

#### Azure - Network

<details>
<summary>What Azure network services are you familiar with?</summary><br><b>
</b></details>

<details>
<summary>What's an Azure region?</summary><br><b>
</b></details>

<details>
<summary>What is the N-tier architecture?</summary><br><b>
</b></details>

#### Azure Storage

<details>
<summary>What Azure storage services are you familiar with?</summary><br><b>
</b></details>

<details>
<summary>What storage options Azure supports?</summary><br><b>
</b></details>

#### Azure Security

<details>
<summary>What is the Azure Security Center? What are some of its features?</summary><br><b>

It's a monitoring service that provides threat protection across all of the services in Azure.
More specifically, it:

* Provides security recommendations based on your usage
* Monitors security settings and continuously all the services
* Analyzes and identifies potential inbound attacks
* Detects and blocks malware using machine learning
</b></details>

<details>
<summary>What is Azure Active Directory?</summary><br><b>

Azure AD is a cloud-based identity service. You can use it as a standalone service or integrate it with existing Active Directory service you already running.
</b></details>

<details>
<summary>What is Azure Advanced Threat Protection?</summary><br><b>
</b></details>

<details>
<summary>What components are part of Azure ATP?</summary><br><b>
</b></details>

<details>
<summary>Where logs are stored in Azure Monitor?</summary><br><b>
</b></details>

<details>
<summary>Explain Azure Site Recovery</summary><br><b>
</b></details>

<details>
<summary>Explain what the advisor does</summary><br><b>
</b></details>

<details>
<summary>Explain VNet peering</summary><br><b>
</b></details>

<details>
<summary>Which protocols are available for configuring health probe</summary><br><b>
</b></details>

<details>
<summary>Explain Azure Active</summary><br><b>
</b></details>

<details>
<summary>What is a subscription? What types of subscriptions are there?</summary><br><b>
</b></details>

<details>
<summary>Explain what is a blob storage service</summary><br><b>
</b></details>
